Bulk remove products from channel
Removes many products from a channel. IDs that were not members go in successful (post-condition idempotent). Unknown product IDs go in failed.
DELETE
/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/productsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
channel_idstringrequiredChannel ID
Request body
requiredapplication/jsonProduct IDs to remove
product_idsstring[]requiredmin items 1
Responses
200
Bulk remove result
datainternal_pkg_webserver_v1.BulkChannelMembershipResponserequiredShow propertiesHide properties
failedinternal_pkg_webserver_v1.BulkChannelMembershipFailed[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkChannelMembershipFailedidstringreasonstringsuccessfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembership[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembershipchannel_idstringcreated_atstringproduct_idstringstatusstringstatus_updated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired404
Channel not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired